ServerCommError=An error occurred connecting to the Citrix Server Farm.
ServerReadError=A connection was made with the Citrix Server, but there was an error reading the information it sent: %s
ServerWriteError=A connection was made with the Citrix Server, but there was an error writing to it: %s                      
CredentialsNeeded=This operation requires user credentials to be specified.  The following session field was not set: %s
InvalidFields=One or more of the requested fields is not valid.
ConnectionRefused=There was an error attempting to make a connection with the Citrix Server.  The address to which the connection was attempted is %s.  The port number to which the connection was attempted is %d. Please ensure that the Citrix XML Service is installed on the machine with that address, and that it is listening on that port.  If that machine is configured to share ports with iis, please ensure that the iis www service is installed and running.
UnknownHost=The name of the Citrix Server could not be resolved.  The unresolvable name is: %s
BadHTTPSyntax=The Citrix Server sent malformed HTTP syntax.  Please ensure that the version of Web Server Extension installed on the web server matches the version of the Citrix XML service installed on the Citrix Server.
BadCharlotteSyntax=The Citrix server sent a malformed or unexpected Nfuse packet.  Please ensure that the version of Web Server Extension installed on the web server matches the version of the Citrix XML service installed on the Citrix Server.
InternalError=An internal error was encountered
UnmatchedDrawPN=The Citrix HTML template contains a DrawPN tag without a matching /DrawPN tag.  The template with the error is located at %s
NoCitrixServerSpecifiedTemplate=The Citrix HTML template contains a DrawPN tag but no Citrix Server from which to retreive application information was specified.  The Citrix Server can be specified with the Citrix XML Service session field or by calling CitrixWireGateway.initialize.  The template file with the error is located at: %s
NoCitrixServerSpecified=No Citrix Server was specified.  The Citrix Server can be specified via the Citrix XML Service session field.
NoIconCacheSpecified=The Nfuse configuration files did not specify a location for generated .gif files via the NFuse_IconCache session field
NoAppSpecified=The Citrix HTML template contains tags that require an app to be specified via the NFuse_Application session field, but this session field was not set.  The template with the error is located at %s
NoError=No error was specified
BadIconCache=The .gif cache directory specified by the NFuse_IconCache session field does not exist or could not be accessed.  The specified directory is: %s
NoTemplateSpecified=No Citrix HTML template was specified via the NFuse_Template session field.
GifCreationError=There was an error while encoding a GIF file.  The intended destination for the file was: %s.  The error encountered was: %s.  Please make sure that the path exists and the appropriate user account has sufficient permission to write and delete files.
UnmatchedConditionalTag=The Citrix HTML template contained an open conditional tag without a corresponding close tag in the Citrix HTML template.  The template file with the error is located at %s
NoFolderSpecified=The Citrix HTML template contained a tag which requires a folder to be specified, but no folder was specified.  The template file with the error is located at %s
InvalidScrambledTag=The Citrix HTML template contained a [NFuse_ScrambledPassword] tag without a password specified.  The template file with the error is located at %s
BadTemplate=The Citrix HTML template specified does not exist or could not be accessed.  The template file specified was: %s
CredentialsNotInitialized=A Credentials object was used before being initialized.
GatewayNotInitialized=A CitrixGateway object was used before being initialized.
NoContentType=No Content Type was specified via the [NFuse_ContentType] session field.
SettingUnsettableControlField=An attempt was made to set the value of an unsettable session field.  The session field which was being set was: %s
UnknownLocalHost=There was an error when attempting to resolve the name of the local host.
PrematurePacketEnd=The Citrix Server closed the connection unexpectedly.
HttpErrorPacket=The Citrix Server sent HTTP headers indicating an error occurred.  %d %s
UnexpectedCharlotteResponse=The Citrix Server sent unexpected data. (%d)
CharlotteErrorBadCredentials=The Citrix Server reported that the Credentials entered were incorrect.
CharlotteErrorNoServerAvailable=The Citrix Server reported that no server is available to process the request at this time.
CharlotteErrorOther=The Citrix Server reported an error and was unable to complete the request.  Error: %s
CharlotteErrorUnspecified=The Citrix Server reported an unspecified error.
CharlotteErrorVersionMismatch=The Citrix Server reported a version mismatch error.
CharlotteErrorBadRequest=The Citrix Server reported that the request received was malformed.
CharlotteErrorNoAlternateAddress=The Citrix Server reported that no alternate address could be found.
CharlotteErrorParserError=The Citrix Server reported that it was unable to parse the request.
CharlotteErrorUnrequestedAddressFormat=The Citrix server responded with an address format other than that requested.
CharlotteErrorCredentialsMustChange=The specified password is no longer valid.  The user must change password at next logon.
CharlotteErrorCredentialsExpired=The Citrix server reported that the specified user's credentials have expired.
UnknownControlField=An attept was made to set an invalid session field.  The session field being set was: %s.  Please check to make sure it is not misspelled.
InvalidControlFieldValue=The Citrix HTML template attempted to set a session field to an invalid value.  The session field being set was: %s.  The value it was being set to was: %s
NoURLMapping=No URL-to-File System mapping was defined in the Nfuse configuration file.  Mappings can be defined by adding entry to the configuration file of the form URLMapping.X=Y where X is a full URL and Y is the corresponding full file system path.
TransportNotSupported=The specified transport is not supported.  The transport specified was: %s
AppRemoved=The selected application no longer exists in the server farm, or the specified user no longer has access to it.  The application in question is: %s
InvalidTcpPort=An invalid TCP port number for the Citrix Server was specified.  The port specified was: %s
ServletErrorMessage=NFuse could not complete the operation:
HttpErrorPacket404=Error, Citrix XML service object not found.  [%d %s]
HttpErrorPacket405=Error, Citrix XML service method not supported.  [%d %s]
HttpErrorPacket406=Error, no Citrix XML service response acceptable.  [%d %s]
HttpErrorPacket411=Error, Citrix XML service request length required.  [%d %s]
HttpErrorPacket409=Error, Citrix XML service request too short.  [%d %s]
HttpErrorPacket413=Error, Citrix XML service request too large, more than 4096 bytes.  [%d %s]
HttpErrorPacket503=Error, Citrix XML service or Program Neighborhood Service may be down or temporarily overloaded.  [%d %s]
NoConfigurationFile=No NFuse configuration file (NFuse.properties) was found.  Please make sure this file is located in the CLASSPATH of the web server's Java Virtual Machine.  The CLASSPATH is currently reported as:  %s
XmlParserErrorGeneric=The XML document sent by the Citrix Server could not be processed.
XmlParserErrorNoDtd=The XML document sent by the Citrix Server could not be processed because no XML DTD file was found at: %s
XmlParserErrorBadXml=The XML document sent by the Citrix Server could not be processed because it countains invalid XML.
CharlotteErrorBadSessionField=The following session field is invalid: %s.
NoDomainSpecified=The supplied credentials did not specify a Domain.
NoRelayServerSpecifiedTemplate=The Citrix HTML template contains a DrawPN tag and is configured to use SSL, but no Citrix Relay Server from which to retrieve application information was specified.  The Citrix Relay Server can be specified with the NFuse_RelayServer session field or by calling CitrixWireGateway.initialize.  The template file with the error is located at: %s
NoRelayServerSpecified=The Citrix service is configured to use SSL, but no Citrix Relay Server from which to retreive application information was specified.  The Citrix Relay Server can be specified with the NFuse_RelayServer session field or by calling CitrixWireGateway.initialize.
ServerReadErrorSsl=A connection was made with the Citrix Server, but there was an error reading the information it sent: %s.  The connection was configured to use SSL.  This error may be the result of communicating with a non-SSL Citrix Relay Server
ConnectionFailedSsl=There was an error attempting to make a connection with the Citrix Relay Server.  The name of the server to which the connection was attempted is %s.  The port number to which the connection was attempted is %d.  Please ensure that there is a Citrix Relay Server installed on the machine with that address, and that it is listening on that port.  Also ensure that the name contained in the server certificate that the Citrix Relay Server is configured to present matches exactly the name of the server to which the connection was attempted.
NoRelayServerPort=No TCP port number was specified for the Citrix SSL Relay Server.
InvalidRelayServerPort=An invalid TCP port number for the Citrix Relay Server was specified.  The port specified was: %s
NoKeystoreSpecified=No SSL Keystore was specified.  The SSL Keystore is a directory containing CA Certificates, or a single CA Certificate.  It can be specified with the SslKeystore entry in the NFuse configuration file
InvalidKeystore=The SSL Keystore specified via the SslKeystore entry in the NFuse configuration file could not be accessed.  The keystore specified was: %s
SslErrorCertificateError=An invalid or expired SSL certificate was encountered.
SslErrorUnverifiedServer=The Citrix Server to which a connection was attempted was unable to verify itself via SSL.  The Citrix Server was: %s
SslErrorHandshakeError=There was an error during the SSL handshake process.  Please ensure that the SSL Server to which a connection was attempted has the necessary cipher suites available.
SslErrorLocalCertificateError=There was an error processing a local SSL certificate.  The SSL certificate keystore is currently set to: %s
SslErrorGeneralError=There was an error establishing an SSL connection with the SSL server at %s listening to port %d
SocksErrorConnectFailure=The Citrix SSL Relay was unable to connect to the Citrix Server at %s listening on port %d.  Please ensure that there is a Citrix XML Service running on the specified machine and listening on the specified port.
SocksErrorGeneralError=There was a SOCKS-related error when attempting to connect to the Citrix Relay Server on %s listening on port %d.
UnknownErrorId=An NFuse Error with the following Error ID occurred: %s
TicketingDisabled=The ticketing feature is disabled on the following Citrix server: %s. Please make sure the Feature Release 1 license is installed on all Citrix MetaFrame servers in the farm.
TicketInvalidLength=There is an error in the length of ticket received.
TicketDuplicate=There is an error. Ticket has already been requested before.
BadEncoding=An unsupported encoding was specified. The encoding specified was: %s. It can be specified by the %s key in the NFuse configuration file.
NFuseServerLowerVersion=The ticketing feature may not be supported by the server running Citrix XML Service. Please upgrade your server running Citrix XML Service to use this feature or disable ticketing.
NoGroupNameSpecified=The GroupID was invalid. At least one groupname must be specified.
InvalidCredentialsToUseField=The control field (%s) specifying type of credentials to use (either actual user-password-domain or group ID or null) has been set to an invalid or unknown value.
GroupCredentialsNotSet=Group credentials are not set. The control field %s is not set.
NoGroupFileSpecified=The user group (or folder) file is not specified or the file (%s) could not be found.
NoTicketTag=The Citrix XML Service (on Citrix MetaFrame server) was was unable to generate a ticket.  To support ticketing, the server must be a Metaframe for Windows server and must have the FR1 license enabled.
NoGroupsSpecified=The groups (or folder) for the user %s has not been specified in the file %s.
NotTheRightCredentialsObject=The credentials object used to obtain the ticket is not a valid type (user-domain-password credentials) .
ErrorId_UnknownRelayServer=The name of the Citrix Relay Server could not be resolved.  The unresolvable name is: %s
ErrorId_NullTicket=The Citrix NFuse ticket obtained from the server was either null or of zero length.